package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMessageRecord {

    private static final long serialVersionUID = 1L;

    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * receiver;
     */
    private String receiver;

    /**
     * link
     */
    private String link;

    /**
     * content
     */
    private String content;

    /**
     * tplId
     */
    private String tplId;

    /**
     * 时间
     */
    private LocalDateTime createDate;
}
